# Interface PlurlFactory

All Known Subinterfaces:
  `PlurlContentHandlerFactory, PlurlStreamHandlerFactory`

All Known Implementing Classes:
  `PlurlImpl.ContentHandlerFactoryHolder, PlurlImpl.PlurlFactoryHolder, PlurlImpl.URLStreamHandlerFactoryHolder`

public interface PlurlFactory
A plural factory that can be added to a plurl implementation. A plurl implementation uses `PlurlFactory` objects to locate a factory to provider a handler.

See Also:
  - `Plurl.add(PlurlContentHandlerFactory)`
  - `Plurl.add(PlurlStreamHandlerFactory)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`shouldHandle(Class<?> clazz)`
A plurl implementation will call this method with the classes in the call stack which are using the java.net APIs to create URL objects for a specific type.

## Method Details

### shouldHandle

boolean shouldHandle(Class<?> clazz)
A plurl implementation will call this method with the classes in the call stack which are using the java.net APIs to create URL objects for a specific type. For example, a protocol or content type.

Parameters:
  `clazz` - a class in the call stack using the java.net APIs
Returns:
  true if this factory should be used to handle the request